/*  FreeNote for Sharp SLA300, B500, C7x0, C860 Linux PDA
	Copyright (C) 2003, 2004 Joe Kanemori.<kanemori@ymg.urban.ne.jp>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
/*
2004/10/17 FreeNote 1.10.0[X
2003/08/15 FreeNote 1.2.1J
Eۑ̃oOC
E_CAO̎
EPNGt@Cւ̏o

2003/08/15 FreeNote 1.2J
EIvVǉ
EXN[KCh
EFreet@C֘At
EACR̕ύX

2003/08/05 FreeNote 1.1.1preJ
ENɕԂێ
E`惂[hؑւɏS\
EۑԒZk
EView[h̋ύX
Ej[̌ڂύX
*/
#ifndef FNFILEDIALOG_H
#define FNFILEDIALOG_H
#include <qmainwindow.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qpe/qpemenubar.h>
#include <sl/slfileselector.h>
#include <qdialog.h>
#include <qlayout.h>
#include <qdir.h>

class FNFileDialog : public QDialog {
    Q_OBJECT
public:
	FNFileDialog(QWidget* parent, const char* filter, const char* title, bool isOpenDialog);
	virtual ~FNFileDialog();
	const QFileInfo& currentFile();
	void setCurrentFile(const QFileInfo& s);
	bool isTopDir() const;
private slots:
	void fileSelected(const QFileInfo& file);
	void dirOpened(const QDir& dir);
private:
	SlFileSelector* _selector;
	QLineEdit* _edtFName;
	QFileInfo _info;
	QHBox* _hbox;
	QVBoxLayout* _vbox;
};
#endif //FNFILEDIALOG_H
